Shop loyalty cards
Add Third-Party Card
Add an external third-party loyalty card to the user's wallet
POST
/{locale}/shop/loyalty-cards/third-partyAdd an external third-party loyalty card to the user's wallet
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/en/shop/loyalty-cards/third-party" \ -F card_name="Coffee Shop Loyalty Card" \ -F card_number="123456789" \ -F barcode_type="CODE128"{ "success": true, "message": "Third-party card added successfully", "data": { "id": 3, "card_name": "Coffee Shop Loyalty Card", "card_number": "123456789", "card_type": "third_party", "barcode_type": "CODE128", "barcode_image_url": "https://example.com/storage/barcodes/image.png", "card_image_url": "https://example.com/storage/cards/image.png", "expires_at": "2024-12-31", "created_at": "2019-08-24T14:15:22Z" }, "code": 201}